//
//  OneViewController.m
//  本地搜索
//
//  Created by 王冲 on 2017/11/7.
//  Copyright © 2017年 希爱欧科技有限公司. All rights reserved.
//

#import "OneViewController.h"
#import "TwoViewController.h"
//屏幕尺寸
#define CIO_SCREEN_WIDTH  [UIScreen mainScreen].bounds.size.width
#define CIO_SCREEN_HEIGHT  [UIScreen mainScreen].bounds.size.height
#define JKRandomColor  [UIColor colorWithRed:arc4random_uniform(256)/255.0 green:arc4random_uniform(256)/255.0  blue:arc4random_uniform(256)/255.0  alpha:1.0]
@interface OneViewController ()<UITableViewDelegate,UITableViewDataSource,UISearchControllerDelegate,UISearchBarDelegate>

@property(nonatomic,strong)UITableView *tableView;

@property(nonatomic,strong)NSMutableArray *dataArray;

@property (nonatomic, strong) UISearchController *searchController;

@property(nonatomic,strong) TwoViewController *result;

@end

@implementation OneViewController

- (void)viewDidLoad {
    [super viewDidLoad];
   
    self.edgesForExtendedLayout = UIRectEdgeNone;
    self.view.backgroundColor = [UIColor whiteColor];
    
    [self.dataArray addObjectsFromArray:@[@"雷军",@"马云",@"李连杰",@"文章",@"王健林"]];
    
    [self.view addSubview:self.tableView];
    // 创建用于展示搜索结果的控制器
    self.result = [TwoViewController new];
    // 创建搜索框
    self.searchController = [[UISearchController alloc]initWithSearchResultsController:self.result];

    self.result.schooltimer = self.searchController;
    self.tableView.tableHeaderView = self. searchController.searchBar;
    self. searchController.searchBar.delegate = self;
    self.searchController.view.backgroundColor = [[UIColor whiteColor] colorWithAlphaComponent:1];
    
    self.searchController.delegate = self;
    //self.searchController.searchResultsUpdater = self.result;
    
    //是否添加半透明覆盖层
    //    search.dimsBackgroundDuringPresentation = YES;
    //    //是否隐藏导航栏
    //    search.hidesNavigationBarDuringPresentation = YES;
    
    //    self.definesPresentationContext = YES;
    
    ;
    self.searchController.searchBar.barStyle = UIBarStyleDefault;
    self.searchController.searchBar.translucent = YES;
    self.searchController.searchBar.barTintColor = [UIColor brownColor];
    [self.searchController.searchBar setValue:@"取消" forKey:@"_cancelButtonText"];
    //self.searchController.searchBar.tintColor = backTwoGayCOLOR;
    
    
    
    UIImageView *barImageView = [[[self.searchController.searchBar.subviews firstObject] subviews] firstObject];
    barImageView.layer.borderColor = [UIColor redColor].CGColor;
    barImageView.layer.borderWidth = 1;
    
    //  self.searchController.searchBar.layer.borderColor = [UIColor redColor].CGColor;
    
    self.searchController.searchBar.placeholder = @"搜索";
    
    //    self.definesPresentationContext = YES;
    self.searchController.searchBar.delegate = self;
}

-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section{
    
    return self.dataArray.count;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath{
    
    UITableViewCell *cell1 = [tableView dequeueReusableCellWithIdentifier:@"cellOne"];
    if (!cell1) {
        
        cell1 = [[UITableViewCell alloc]initWithStyle:UITableViewCellStyleDefault reuseIdentifier:@"cellOne"];
        cell1.selectionStyle = UITableViewCellSelectionStyleNone;
    }
    
    cell1.backgroundColor = JKRandomColor;
    cell1.textLabel.text = self.dataArray[indexPath.row];
    
    return cell1;
}

-(CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath{
    
    return 50;
}


-(UITableView* )tableView{
    
    if (!_tableView) {
        
        // UITableViewStyleGrouped
        _tableView = [[UITableView alloc]initWithFrame:CGRectMake(0, 0, CIO_SCREEN_WIDTH, CIO_SCREEN_HEIGHT)];
        _tableView.separatorStyle = UITableViewCellSeparatorStyleNone;
        _tableView.delegate = self;
        _tableView.dataSource = self;
        _tableView.backgroundColor  = [UIColor whiteColor];
    }
    
    return _tableView;
}

#pragma mark 下面的话题
-(NSMutableArray *)dataArray{
    
    if (!_dataArray) {
        
        _dataArray = [[NSMutableArray alloc]init];
    }
    
    return _dataArray;
}

- (void)willPresentSearchController:(UISearchController *)searchController{
    
      [self.result remAllobect];
    
}
- (void)didPresentSearchController:(UISearchController *)searchController{
    
}
- (void)willDismissSearchController:(UISearchController *)searchController{
    
  
}
- (void)didDismissSearchController:(UISearchController *)searchController{
    
}

- (void) searchBarSearchButtonClicked:(UISearchBar *)searchBar

{
    
    NSString *searchTerm = searchBar.text;
    
    //定义谓词
    NSPredicate *pred = [NSPredicate predicateWithFormat:@"SELF CONTAINS[c]%@",searchTerm];
    //使用谓词过滤NSArray
    NSArray *searchArray = [self.dataArray filteredArrayUsingPredicate:pred];
    
    NSLog(@"%@", searchArray);
    
    self.result.resultArray = [NSMutableArray arrayWithArray:searchArray];
}

#pragma mark - UISearchBarDelegate
- (void)searchBarTextDidBeginEditing:(UISearchBar *)searchBar {
    
}
- (void)searchBarTextDidEndEditing:(UISearchBar *)searchBar {
    
}

-(void)searchBar:(UISearchBar *)searchBar textDidChange:(NSString *)searchText{
    
    NSLog(@"输入的内容==%@",searchText);
    
    if (searchText.length == 0) {
        
        [self.result remAllobect];
    }
}


@end
